SOURCES: cpqarrayd.init, cpqarrayd.sysconfig - PLDize (plz check f...
glen
glen at pld-linux.org
Thu Mar 9 12:23:28 CET 2006
Author: glen Date: Thu Mar 9 11:23:28 2006 GMT
Module: SOURCES Tag: HEAD
---- Log message:
- PLDize (plz check for LSB-compliance)
---- Files affected:
SOURCES:
cpqarrayd.init (1.1 -> 1.2) , cpqarrayd.sysconfig (1.1 -> 1.2)
---- Diffs:
================================================================
Index: SOURCES/cpqarrayd.init
diff -u SOURCES/cpqarrayd.init:1.1 SOURCES/cpqarrayd.init:1.2
--- SOURCES/cpqarrayd.init:1.1 Thu Mar 9 12:17:13 2006
+++ SOURCES/cpqarrayd.init Thu Mar 9 12:23:23 2006
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
#
# cpqarrayd Start/Stop Compaq Array monitor
#
@@ -7,46 +7,51 @@
# and reports via syslog or traps
# processname: cpqarrayd
-# Source function library.
+# Source function library
. /etc/rc.d/init.d/functions
# Get config.
if [ -f /etc/sysconfig/cpqarrayd ]; then
- . /etc/sysconfig/cpqarrayd
+ . /etc/sysconfig/cpqarrayd
fi
-[ -f /usr/sbin/cpqarrayd ] || exit 0
-
RETVAL=0
# See how we were called.
case "$1" in
- start)
- echo -n "Starting cpqarrayd: "
- daemon /usr/sbin/cpqarrayd $CPQ_PARAMS
- RETVAL=$?
- echo
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/cpqarrayd
- ;;
- stop)
- echo -n "Stopping cpqarrayd: "
- killproc cpqarrayd
- RETVAL=$?
- echo
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/cpqarrayd
- ;;
- status)
- status cpqarrayd
- RETVAL=$?
- ;;
- restart|reload)
- $0 stop
- $0 start
- RETVAL=$?
- ;;
- *)
- echo "Usage: cpqarrayd {start|stop|status|restart|reload}"
- exit 1
+start)
+ # Check if the service is already running?
+ if [ ! -f /var/lock/subsys/cpqarrayd ]; then
+ msg_starting cpqarrayd
+ daemon cpqarrayd $CPQ_PARAMS
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/cpqarrayd
+ else
+ msg_already_running cpqarrayd
+ fi
+ ;;
+stop)
+ if [ -f /var/lock/subsys/cpqarrayd ]; then
+ # Stop daemons.
+ msg_stopping cpqarrayd
+ killproc cpqarrayd
+ rm -f /var/lock/subsys/cpqarrayd
+ else
+ msg_not_running cpqarrayd
+ fi
+ ;;
+restart|reload|force-reload)
+ $0 stop
+ $0 start
+ RETVAL=$?
+ ;;
+status)
+ status cpqarrayd
+ RETVAL=$?
+ ;;
+*)
+ msg_usage "$0 {start|stop|restart|reload|force-reload|status}"
+ exit 3
esac
exit $RETVAL
================================================================
Index: SOURCES/cpqarrayd.sysconfig
diff -u SOURCES/cpqarrayd.sysconfig:1.1 SOURCES/cpqarrayd.sysconfig:1.2
--- SOURCES/cpqarrayd.sysconfig:1.1 Thu Mar 9 12:17:13 2006
+++ SOURCES/cpqarrayd.sysconfig Thu Mar 9 12:23:23 2006
@@ -1,2 +1,4 @@
-# specify startup options here
-CPQ_PARAMS=""
+# Customized settings for cpqarrayd
+
+# Specify startup options here.
+#CPQ_PARAMS=""
================================================================
---- CVS-web:
http://cvs.pld-linux.org/SOURCES/cpqarrayd.init?r1=1.1&r2=1.2&f=u
http://cvs.pld-linux.org/SOURCES/cpqarrayd.sysconfig?r1=1.1&r2=1.2&f=u
More information about the pld-cvs-commit
mailing list